/*----------------------------------------------------------------------------*-
  
   deb002-0-port.h (Release 2017-01-04a)

  ----------------------------------------------------------------------------

   Generic "Port Header" for DEB002.
 
   This file documents the use of port pins on this processor.

-*----------------------------------------------------------------------------*/
/*----------------------------------------------------------------------------*-

  This code is copyright (c) 2014-2016 SafeTTy Systems Ltd.

  This code forms part of a Time-Triggered Reference Design (TTRD) that is 
  documented in the following book: 

   Pont, M.J. (2016) 
   "The Engineering of Reliable Embedded Systems (Second Edition)", 
   Published by SafeTTy Systems Ltd. ISBN: 978-0-9930355-3-1.

  Both the TTRDs and the above book ("ERES2") describe patented 
  technology and are subject to copyright and other restrictions.

  This code may be used without charge: [i] by universities and colleges on 
  courses for which a degree up to and including 'MSc' level (or equivalent) 
  is awarded; [ii] for non-commercial projects carried out by individuals 
  and hobbyists.

  Any and all other use of this code and / or the patented technology 
  described in ERES2 requires purchase of a ReliabiliTTy Technology Licence:
  http://www.safetty.net/technology/reliabilitty-technology-licences

  Please contact SafeTTy Systems Ltd if you require clarification of these 
  licensing arrangements: http://www.safetty.net/contact

  CorrelaTTor, DecomposiTTor, DuplicaTTor, MoniTTor, PredicTTor, ReliabiliTTy,  
  SafeTTy, SafeTTy Systems, TriplicaTTor and WarranTTor are registered 
  trademarks or trademarks of SafeTTy Systems Ltd in the UK & other countries.

-*----------------------------------------------------------------------------*/

#ifndef _PORT_H
#define _PORT_H 1

// Processor Header
#include "..\main\main.h"

// Red LED
#define RED_LED_CLOCK         RCC_AHB1Periph_GPIOE
#define RED_LED_PORT          GPIOE
#define RED_LED_PIN           GPIO_Pin_1

// Amber (Orange) LED 
#define AMBER_LED_CLOCK       RCC_AHB1Periph_GPIOE
#define AMBER_LED_PORT        GPIOE
#define AMBER_LED_PIN         GPIO_Pin_7

// Green LED
#define GREEN_LED_CLOCK       RCC_AHB1Periph_GPIOE
#define GREEN_LED_PORT        GPIOE
#define GREEN_LED_PIN         GPIO_Pin_0



#endif

/*----------------------------------------------------------------------------*-
  ------------------------------ END OF FILE ---------------------------------
-*----------------------------------------------------------------------------*/
